For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
      • GETGet generated items
      • GETGet history item
      • DELDelete history item
      • GETGet audio from history item
      • POSTDownload history items
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
Core ResourcesHistory

Download history items

POST
/v1/history/download
POST
/v1/history/download
$curl -X POST https://api.elevenlabs.io/v1/history/download \
> -H "Content-Type: application/json" \
> -d '{
> "history_item_ids": [
> "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
> ],
> "output_format": "wav"
>}'
1{}
Download one or more history items. If one history item ID is provided, we will return a single audio file. If more than one history item IDs are provided, we will provide the history items packed into a .zip file.
Was this page helpful?
Previous

List models

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
history_item_idslist of stringsRequired

A list of history items to download, you can get IDs of history items and other metadata using the GET https://api.elevenlabs.io/v1/history endpoint.

output_formatstring or nullOptional
Output format to transcode the audio file, can be wav or default.

Response

The requested audio file, or a zip file containing multiple audio files when multiple history items are requested.

Errors

400
Bad Request Error
422
Unprocessable Entity Error